Groovy 1.7.10

## groovy.jmx.builder
[Java] Class JmxBuilderException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  groovy.jmx.builder.JmxBuilderException

    public class JmxBuilderException
    extends RuntimeException

Runtime exception used by JmxBuilder.

Authors:
  Vladimir Vivien

Constructor Summary
`JmxBuilderException()` Default constructor for exception.
`JmxBuilderException(String ex)` Parameterized consructor.
`JmxBuilderException(Throwable ex)` Parameterized constructor.
`JmxBuilderException(String msg, Throwable ex)` Parameterized constructor.

Method Summary

Methods inherited from class RuntimeException
printStackTrace, printStackTrace, printStackTrace, fillInStackTrace, getCause, initCause, toString, getMessage, getLocalizedMessage, getStackTrace, setStackTrace, addSuppressed, getSuppressed, wait, wait, wait, equals, hashCode, getClass, notify, notifyAll

Methods inherited from class Exception
printStackTrace, printStackTrace, printStackTrace, fillInStackTrace, getCause, initCause, toString, getMessage, getLocalizedMessage, getStackTrace, setStackTrace, addSuppressed, getSuppressed, wait, wait, wait, equals, hashCode, getClass, notify, notifyAll

Methods inherited from class Throwable
printStackTrace, printStackTrace, printStackTrace, fillInStackTrace, getCause, initCause, toString, getMessage, getLocalizedMessage, getStackTrace, setStackTrace, addSuppressed, getSuppressed, wait, wait, wait, equals, hashCode, getClass, notify, notifyAll

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Constructor Detail

### JmxBuilderException

    public JmxBuilderException()

  Default constructor for exception.

### JmxBuilderException

    public JmxBuilderException(String ex)

  Parameterized consructor.
  Parameters:
    `ex` - - exception message.

### JmxBuilderException

    public JmxBuilderException(Throwable ex)

  Parameterized constructor.
  Parameters:
    `ex` - - exception thrown.

### JmxBuilderException

    public JmxBuilderException(String msg, Throwable ex)

  Parameterized constructor.
  Parameters:
    `msg` - - exception message.
    `ex` - - exception thrown.

Copyright © 2003-2010 The Codehaus. All rights reserved.